> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/inbound/send-raw/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Send mime document POST https://mandrillapp.com/api/1.4/inbound/send-raw Content-Type: application/json Take a raw MIME document destined for a domain with inbound domains set up, and send it to the inbound hook exactly as if it had been sent over SMTP. Reference: https://mailchimp.com/developer/transactional/api/inbound/send-raw ## Request ### Body (application/json) This endpoint expects an InboundSendRawRequest. - `key` (string, required) — A valid Mandrill API key - `raw_message` (string, required) — The full MIME document of an email message - `to` (list of string, optional, nullable) — Optionally define the recipients to receive the message - otherwise we'll use the To, Cc, and Bcc headers provided in the document - `mail_from` (string, optional, nullable) — The address specified in the MAIL FROM stage of the SMTP conversation - `helo` (string, optional, nullable) — The hostname provided during HELO - `client_address` (string, optional, nullable) — The remote host's IP address ## Response ### 200 Success - `list of InboundSendRawResponseItems` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 404 Not Found Error Unknown inbound domain - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Types ### InboundSendRawResponseItems - `email` (string, required) — The email address that was processed. - `pattern` (string, required) — The route pattern that matched this email. - `url` (string, required) — The webhook URL where this message was sent. ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig", "raw_message": "From: sender@example.com\\nTo: mailbox-123@inbound.example.com\\nSubject: Some Subject\\n\\nSome content.", "to": [ "mailbox-123@inbound.example.com" ], "mail_from": "sender@example.com" } ``` **Response** ```json [ { "email": "mailbox-123@inbound.example.com", "pattern": "mailbox-*", "url": "https://example.com/webhook-url" } ] ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/inbound/send-raw" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig", "raw_message": "From: sender@example.com\nTo: mailbox-123@inbound.example.com\nSubject: Some Subject\n\nSome content.", "to": ["mailbox-123@inbound.example.com"], "mail_from": "sender@example.com" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/inbound/send-raw'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig","raw_message":"From: sender@example.com\\nTo: mailbox-123@inbound.example.com\\nSubject: Some Subject\\n\\nSome content.","to":["mailbox-123@inbound.example.com"],"mail_from":"sender@example.com"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/inbound/send-raw" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"raw_message\": \"From: sender@example.com\\\\nTo: mailbox-123@inbound.example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\",\n \"to\": [\n \"mailbox-123@inbound.example.com\"\n ],\n \"mail_from\": \"sender@example.com\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/inbound/send-raw") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"raw_message\": \"From: sender@example.com\\\\nTo: mailbox-123@inbound.example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\",\n \"to\": [\n \"mailbox-123@inbound.example.com\"\n ],\n \"mail_from\": \"sender@example.com\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/inbound/send-raw") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"raw_message\": \"From: sender@example.com\\\\nTo: mailbox-123@inbound.example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\",\n \"to\": [\n \"mailbox-123@inbound.example.com\"\n ],\n \"mail_from\": \"sender@example.com\"\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/inbound/send-raw', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig", "raw_message": "From: sender@example.com\\\\nTo: mailbox-123@inbound.example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.", "to": [ "mailbox-123@inbound.example.com" ], "mail_from": "sender@example.com" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/inbound/send-raw"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"raw_message\": \"From: sender@example.com\\\\nTo: mailbox-123@inbound.example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\",\n \"to\": [\n \"mailbox-123@inbound.example.com\"\n ],\n \"mail_from\": \"sender@example.com\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "key": "ONzNrsmbtNXoIKyfPmjnig", "raw_message": "From: sender@example.com\nTo: mailbox-123@inbound.example.com\nSubject: Some Subject\n\nSome content.", "to": ["mailbox-123@inbound.example.com"], "mail_from": "sender@example.com" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/inbound/send-raw")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.